-- THIS TUTORIAL IS FOR LEVEL 2

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	SlideStep0()
	tutorialStep = 0
end

-- The rules to go to the steps
function onScreenReady()
	API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
	if tutorialStep == 0 then
		Step0()
	elseif tutorialStep == 1 then
		Step1()    
    end
end

-- TUTORIAL STEP 0
-- STEP 0 "Tap on diamonds over ground blocks to let the water pass"
function SlideStep0()
	API_Log("**************STEP 0 - Tap on diamonds over ground blocks to let the water pass")
	-- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "slideItem")
end

function Step0()
	-- the area you can see
	    API_EnableMaskTiles("false",1, 2, 7, 4)
	    -- the area you can tap in
	    API_AddInputFilterArea(3, 3, 5, 3)
	    -- the finger which encourages you to tap
	    API_ShowFingerTapAnimation(4, 3)
	    API_ShowTutorialScreenSceneObject("diggy_left", "true")
	    API_ShowTextBox("top_left", "tutorial_level_2_part_1_m")
end


function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep < 6 then
		API_EndTutorial()
	end
end


-- at room Enter, go to Step 1
function onRoomEnter(col,row)
	API_Log("**************onRoomEnter (" .. col .. "," .. row .. ")")
	if col == "4" and row == "1" then
		SlideStep1()
        tutorialStep = 1
	end
end

-- STEP 1 "Visit deeper levels"
function SlideStep1()
	API_Log("**************STEP 1 - Visit deeper levels by leading the water to the gate")
	API_StartTutorial("blocking", "showAnimation")
end

function Step1()
		-- the area you can see
	    API_EnableMaskTiles("false",8, 8, 8, 8)
		-- Move the SceneObject GATE at the highest z
		API_SetGameplayScreenSceneObjectZ("gate_unlocked", "top")
		API_ShowTutorialScreenSceneObject("diggy_left", "true")
		API_ShowTextBox("middle_left", "tutorial_level_2_part_2_m")
end

--ENDING
function onTutorialFinished()
	API_Log("************** ############# END tutorial " .. tutorialStep)
end