-- THIS TUTORIAL IS FOR LEVEL 28

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	tutorialStep = 0
	SlideStep0()
end

-- STEP 0 "Rocket Blast Booster unlocked"
function SlideStep0()
	API_Log("**************STEP 0 - Dynamite Booster unlocked")
	-- A Tutorial starts (with a mask, tap on the booster to go to the next step)
    API_StartTutorial("blocking", "boosterTouch")
    API_AddTemporalBooster(BOOSTER_DYNAMITE, "1")
end


-- The rules to go from step to step in the tutorial
function onScreenReady()
    API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
    if tutorialStep == 0 then
        Step0()
    elseif tutorialStep == 1 then
        Step1()
    end
end

function Step0()
	API_EnableInputMask("false", "btn_booster_4")
	-- Move the SceneObject INGAME BOOSTER ROCKET BLAST at the highest z
	API_SetGameplayScreenSceneObjectZ("btn_booster_4", "top")
	API_ShowTutorialScreenSceneObject("diggy_left", "true")
	API_ShowTextBox("middle_left", "tutorial_level_28_part_1_m")
end

-- Step0 is over, time to start Step1,
function onTutorialFinished()
    API_Log("**************End Tutorial" .. tutorialStep)
    if tutorialStep == 0 then
        SlideStep1()
        tutorialStep = 1
    end
end

-- STEP 1 "What is the Dynamite"
function SlideStep1()
    API_Log("**************STEP 1 - What is the Dynamite")
    -- A Tutorial starts (with a mask, tap anywhere to go to the next step)
    API_StartTutorial("blocking", "showAnimation")
end

function Step1()
	API_ShowTextBox("top_left", "product_inbooster4_description")
	--API_ShowTextBox("top", "product_unlock_inbooster4_name")
end

function OnBoosterButtonPressed(boosterType)
    API_Log("************** ############# endOnBoosterButtonPressed " .. boosterType)
    if tutorialStep == 0 then
        API_SetGameplayScreenSceneObjectZ("btn_booster_4", "ui")
        API_EndTutorial()
    end
end