-- THIS TUTORIAL IS FOR LEVEL 3

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	SlideStep0()
	tutorialStep = 0
end

-- The rules to go from steps to steps in the tutorials
function onScreenReady()
    API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
    if tutorialStep == 0 then
        Step0()
    elseif tutorialStep == 1 then
        Step1()
    end
end


-- TUTORIAL STEP 0
-- STEP 0 "Tap on gold-striped blocks"
function SlideStep0()
	API_Log("**************STEP 0 - Tap on gold-striped blocks")
	-- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "slideItem")
end

function Step0()
    API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
    if tutorialStep == 0 then
        -- the area you can see
        API_EnableMaskTiles("false",3, 1, 5, 6)
        -- the area you can tap in
        API_AddInputFilterArea(3, 2, 5, 3)
        -- the finger which encourages you to tap
        API_ShowFingerTapAnimation(4, 3)
        API_ShowTextBox("top_left", "tutorial_level_3_part_1_m")
        API_ShowTutorialScreenSceneObject("diggy_left", "true")
    end
end

function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep == 0 then
		API_EndTutorial()
	end
end

-- at room Enter, go to Step 1
function onRoomEnter(col,row)
	API_Log("**************onRoomEnter (" .. col .. "," .. row .. ")")
	if col == "4" and row == "1" then
		SlideStep1()
        tutorialStep = 1
	end
end

-- STEP 1 "More gold-striped blocks"
function SlideStep1()
	API_Log("**************STEP 1 - More gold-striped blocks")
	-- A Tutorial starts (with a mask, tap anywhere to end it)
    API_StartTutorial("blocking", "showAnimation")
end

function Step1()
    API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
    if tutorialStep == 1 then
        -- the area you can see
        API_EnableMaskTiles("false",3, 3, 5, 5)
        -- the area you can tap in
        API_AddInputFilterArea(3, 3, 5, 5)
        API_ShowTutorialScreenSceneObject("diggy_left", "true")
        API_ShowTextBox("top_left", "tutorial_level_3_part_2_m")
    end
end

function onTutorialFinished()
	API_Log("**************End Tutorial" .. tutorialStep)
end