varying lowp vec4 v_color;
varying lowp vec2 v_texCoord;

uniform sampler2D u_texture;
uniform highp float u_time;
uniform highp vec4 speed;

void main() {
	vec2 textCoords = vec2(v_texCoord.x + u_time*speed.x, v_texCoord.y + u_time*speed.y);
	gl_FragColor = v_color * texture2D(u_texture, textCoords);
}