from os import listdir
from os.path import isfile, join
import json

folder = "/Users/riivo/Ideaprojects/digger-mobile/res/common/levels"

onlyfiles = [f for f in listdir(folder) if isfile(join(folder, f))]
gamemodes = set()

for file in onlyfiles:
	if file.endswith(".json") and not file.startswith("testlevel"):
		with open(join(folder, file)) as data_file:
			data = json.load(data_file)
			gamemodes.add(data["level"]["gameMode"]["type"])


print(gamemodes)


