
-- THIS TUTORIAL IS FOR LEVEL 1

--Initialize Tutorial
function onInit()
	API_Log("**************Initialize TUTORIAL")
	SlideStep0()
	tutorialStep = 0
end

--Rules to go to the proper tutorial steps
function onScreenReady()
	API_Log("**************On SCREEN READY step" .. tutorialStep)
	if tutorialStep == 0 then
		Step0()
	elseif tutorialStep == 1 then
		Step1()
	elseif tutorialStep == 2 then
		Step2()
	end
end

-- TUTORIAL STEP 0
function SlideStep0()
	API_Log("**************STEP 0 - Hi I'm Diggy!")
	-- A Tutorial starts (with a mask, the first tap removes it)
    API_StartTutorial("blocking", "showAnimation")
end

function Step0()
	API_ShowTextBox("middle_left", "tutorial_level_1_part_1_m")
	API_ShowTutorialScreenSceneObject("diggy_right", "true")
end

-- At tap,
function onTutorialFinished()
	-- end tutorial slide Step 0
	if tutorialStep == 0 then
        -- go to slide Step 1
        SlideStep1()
        tutorialStep = 1
    end
end 

-- TUTORIAL STEP 1
function SlideStep1()
	API_EnableHint("false")
	API_Log("**************STEP 1 - Tap on blocks of 3")
	-- A Tutorial starts (with a mask, the first match removes it)
	API_StartTutorial("blocking", "slideItem")
end

function Step1()
	API_Log("**************INTO Step" .. tutorialStep)
	if tutorialStep == 1 then
		-- you can tap there
		API_AddInputFilterArea(3, 4, 5, 6)
		-- you can see here
		API_EnableMaskTiles("false", 3, 4, 5, 6)
		API_ShowFingerTapAnimation(4, 5)
		API_ShowTextBox("top_left", "tutorial_level_1_part_2_m")
	end
end


-- after the tap, it is the normal next step 
function onMatch()	
	API_Log("**************onMatch".. tutorialStep)
	API_EnableHint("true")
	if tutorialStep < 6 then
		API_EndTutorial()
	end	
end


-- status can be won or lost
function onEndLevel(status)
	API_Log("**************onEndLevel ".. status)
	if (status == "won") then
		tutorialStep = 2
		SlideStep2()
	end
end
function SlideStep2()
		API_Log("**************STEP 3 - LEVEL WON ")
		API_StartTutorial("blocking", "showAnimation")
end

function Step2()
		-- Move the SceneObject SCORE BAR at a local top
		API_SetGameplayScreenSceneObjectZ("score_gauge", "top")
		API_SetGameplayScreenSceneObjectZ("txt_score", "top")
		API_ShowTutorialScreenSceneObject("diggy_right", "true")
		API_ShowTutorialScreenSceneObject("left_arrow", "true")
		API_ShowTextBox("middle_right", "tutorial_level_1_part_3_m")
end