-- THIS TUTORIAL IS FOR LEVEL 111

--INITIALIZING
function onInit()
    API_Log("**************Initialize TUTORIAL")
    API_FillOrb("1.0")
    SlideStep0()
    tutorialStep = 0
end

-- The rules to go from steps to step in the tutorial
function onScreenReady()
    API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
    if tutorialStep == 0 then
        Step0()
    elseif tutorialStep == 1 then
        Step1()
    end
end


-- STEP 0 "Tap the Magic Orb"
function SlideStep0()
    API_Log("**************STEP 0 - Tap the Magic Orb")
    -- A Tutorial starts (with a mask, tap anywhere to go to the next step)
    API_StartTutorial("blocking", "orbTouch")
end

function Step0()
        API_EnableInputMask("false", "orb")
        -- Move the SceneObject MAGIC ORB at the highest z
        API_SetGameplayScreenSceneObjectZ("orb", "top")
        API_ShowTutorialScreenSceneObject("diggy_left", "true")
        API_ShowTextBox("middle_left", "tutorial_level_111_part_1_m")
end

-- Step0 is over, time to start Step1,
function onTutorialFinished()
    if tutorialStep == 0 then
        tutorialStep = 1
        SlideStep1()
    end
end

-- STEP 1 "What is the Rocket Blast"
function SlideStep1()
    API_Log("**************STEP 1 - Place the charged Rocket Blast")
    -- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "showAnimation")
    --API_ShowTextBox("top", "product_unlock_inbooster1_name")
    API_EnableMaskTiles("false",0, 4, 9, 4)
    API_EnableMaskTiles("false",4, 0, 4, 8)
end

function Step1()
        API_ShowTextBox("bottom_left", "product_inbooster1_description")
end

function OnOrbButtonPressed()
    API_Log("************** ############# OnOrbButtonPressed step " .. tutorialStep)
    if tutorialStep == 0 then
        API_EndTutorial()
        API_SetGameplayScreenSceneObjectZ("orb", "ui")
    end
end