-- THIS TUTORIAL IS FOR LEVEL 12

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	SlideStep0()
	tutorialStep = 0
end

-- The rules to go from step to step in the tutorials
function onScreenReady()
	API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
	if tutorialStep == 0 then
		Step0()
	elseif tutorialStep == 1 then
		Step1()
	elseif tutorialStep == 2 then
		Step2()
	end
end

-- TUTORIAL STEP 0
-- STEP 0 "Toys are under blue blocks"
function SlideStep0()
	API_Log("**************STEP 0 - Toys are under blue blocks")
	-- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "slideItem")
end

function Step0()
	-- the area you can see
    API_EnableMaskTiles("false",3, 3, 5, 5)
    -- the area you can tap in
    API_AddInputFilterArea(3, 3, 5, 5)
    -- the finger which encourages you to tap
    API_ShowFingerTapAnimation(4, 4)
    API_ShowTextBox("top_left", "tutorial_level_12_part_1_m")
    API_ShowTutorialScreenSceneObject("diggy_right", "true")
end

function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep == 0 then
		API_EndTutorial()
	end
end

-- at room Enter, go to Step
function onRoomEnter(col,row)
	API_Log("**************onRoomEnter (" .. col .. "," .. row .. ")")
	if col == "4" and row == "1" then
		SlideStep1()
        tutorialStep = 1
    elseif col == "4" and row == "2" then
		SlideStep2()
        tutorialStep = 2
	end
end

-- TUTORIAL STEP 1
-- STEP 1 "More Toys on sides"
function SlideStep1()
	API_Log("**************STEP 1 - More Toys on sides")
	-- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "showAnimation")
end

function Step1()
	    -- the area you can see
	    API_EnableMaskTiles("false",0, 3, 1, 5)
	    API_EnableMaskTiles("false",7, 3, 9, 5)
	    API_ShowTextBox("top_left", "tutorial_level_12_part_2_m")
	   	API_ShowTutorialScreenSceneObject("diggy_right", "true")
end



-- STEP 2 "Collect the remaining Toys"
function SlideStep2()
	API_Log("**************STEP 2 - Collect the remaining Toys")
	-- a Tutorial starts
	API_StartTutorial("blocking", "showAnimation")
end

function Step2()
		-- Move the SceneObject GOAL TOYS at the highest z
		API_SetGameplayScreenSceneObjectZ("collect_toys_mode", "top")
		API_SetGameplayScreenSceneObjectZ("collection_counter", "top")
		API_ShowTutorialScreenSceneObject("right_arrow", "true")
		API_ShowTutorialScreenSceneObject("diggy_right", "true")
		API_ShowTextBox("middle_right", "tutorial_level_12_part_3_m")
end

function onTutorialFinished()
	API_Log("**************End Tutorial" .. tutorialStep)
end