-- THIS TUTORIAL IS FOR LEVEL 5

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	SlideStep0()
	tutorialStep = 0
end

-- The rules to go from step to step in the tutorial
function onScreenReady()
	API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
	if tutorialStep == 0 then
		Step0()
	elseif tutorialStep == 1 then
		Step1()
	end
end

-- STEP 0 "Lead the water to the firefly"
function SlideStep0()
	API_Log("**************STEP 0 - Lead the water to the firefly")
	-- A Tutorial starts (with a mask, you need to tap IN to go to the next step)
    API_StartTutorial("blocking", "slideItem")
end

function Step0()
	    -- the area you can see
	    API_EnableMaskTiles("false",1, 1, 5, 3)
	    API_EnableMaskTiles("false",7, 2, 7, 2)
	    -- the area you can tap in
	    API_AddInputFilterArea(4, 1, 5, 3)
	    -- the finger which encourages you to tap
	    API_ShowFingerTapAnimation(5, 2)
	    --API_ShowTutorialScreenSceneObject("diggy_left", "true")
		API_ShowTextBox("bottom_left", "tutorial_level_5_part_1_m")
end

function onMatch()
	API_Log("**************onMatch".. tutorialStep)
	if tutorialStep == 0 then
		API_EndTutorial()
	end
end

-- Step0 is over
function onTutorialFinished()
end

-- at room Enter, go to Step 1
function onRoomEnter(col,row)
	API_Log("**************onRoomEnter (" .. col .. "," .. row .. ")")
	if col == "4" and row == "1" then
		SlideStep1()
        tutorialStep = 1
	end
end

-- STEP 1 "Rescue 2 more Fireflies"
function SlideStep1()
	API_Log("**************STEP 1 - Rescue 2 more Fireflies")
	-- a Tutorial starts
	API_StartTutorial("blocking", "showAnimation")
end

function Step1()
		-- Move the SceneObject GOAL FIREFLY at the highest z
		API_SetGameplayScreenSceneObjectZ("rescue_fireflies_mode", "top")
		API_SetGameplayScreenSceneObjectZ("collection_counter", "top")
		API_EnableMaskTiles("false",1, 7, 1, 7)
		API_ShowTextBox("middle_right", "tutorial_level_5_part_2_m")
		API_ShowTutorialScreenSceneObject("diggy_right", "true")
		API_ShowTutorialScreenSceneObject("right_arrow", "true")
end