-- THIS TUTORIAL IS FOR LEVEL 8

--INITIALIZING
function onInit()
	API_Log("**************Initialize TUTORIAL")
	API_Log("**************Orb at 30%")
	local percentage = "0.3"
	API_FillOrb(percentage)
	SlideStep0()
	tutorialStep = 0
end

function onScreenReady()
	API_Log("************** ############# ON SCREEN READY step " .. tutorialStep)
	if tutorialStep == 0 then
		Step0()
	elseif tutorialStep == 1 then
		Step1()
	end
end

-- STEP 0 "Fill the Magic Orb"
function SlideStep0()
	API_Log("**************STEP 0 - Fill the Magic Orb")
	-- A Tutorial starts (with a mask, tap anywhere to go to the next step)
    API_StartTutorial("blocking", "showAnimation")
end

function Step0()
	-- Move the SceneObject MAGIC ORB COLOR BOMB at the highest z
	API_SetGameplayScreenSceneObjectZ("orb", "top")
	API_ShowTextBox("middle_left", "tutorial_level_7_part_4_m")
	API_ShowTutorialScreenSceneObject("diggy_left", "true")
end


function OnOrbReachFull()
	if tutorialStep == 0 then
		SlideStep1()
		tutorialStep = 1
	end
end

function SlideStep1()
	API_Log("**************STEP 1 - ORB FULL")
	-- A Tutorial starts (with a mask, tap anywhere to go to the next step)
    API_StartTutorial("blocking", "showAnimation")
end

function Step1()
	-- Move the SceneObject MAGIC ORB COLOR BOMB at the highest z
	API_SetGameplayScreenSceneObjectZ("orb", "top")
	API_ShowTextBox("middle_left", "tutorial_level_7_part_5_m")
	API_ShowTutorialScreenSceneObject("diggy_left", "true")
end

function onTutorialFinished()
	API_Log("************** ############# END tutorial " .. tutorialStep)
end